Đến nội dung


Hình ảnh

chọn nhanh tất các dimstyle trong cùng một bản vẽ


  • Please log in to reply
21 replies to this topic

#1 xuantran15

xuantran15

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 295 Bài viết
Điểm đánh giá: 112 (tàm tạm)

Đã gửi 17 August 2008 - 08:06 AM

Cho mình hỏi làm thế nào để chọn nhanh tất các dímtyle trong cùng một bản vẽ(Các dímtyle này có thể cùng hoặc khác layer, cùng hoặc khác màu). Giúp mình tí :s_big:
  • 0
Hình đã gửi
Thu đi cho lá vàng bay
Lá rơi cho đám cưới về......

#2 duongsatdn

duongsatdn

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1657 Bài viết
Điểm đánh giá: 761 (tốt)

Đã gửi 18 August 2008 - 08:31 AM

Cho mình hỏi làm thế nào để chọn nhanh tất các dímtyle trong cùng một bản vẽ(Các dímtyle này có thể cùng hoặc khác layer, cùng hoặc khác màu). Giúp mình tí :s_big:

Bạn đang nói đến DimStyle?
Các DimStyle không phải là đối tượng vẽ nên sao mà chọn được!
Bạn cần nói rõ hơn về yêu cầu của mình!
  • 0

#3 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 18 August 2008 - 09:12 AM

Cho mình hỏi làm thế nào để chọn nhanh tất các dímtyle trong cùng một bản vẽ(Các dímtyle này có thể cùng hoặc khác layer, cùng hoặc khác màu). Giúp mình tí :s_big:


(Defun c:chondim ( )
(Princ "\nHay chon vung :")
(setq SS (ssget '((0 . "dimension"))))
(if (Null ss)
(princ "\nKhong tim thay doi tuong nao")
)
(IF (/= NIL SS) (PROGN
(setq Sl (SSLength SS))
(princ (strcat "\nTim thay: <" (itoa sl) "> doi tuong la DIMENSION"))
)
)
(princ)
)

  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#4 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1434 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 18 August 2008 - 09:23 AM

Bạn đang nói đến DimStyle?
Các DimStyle không phải là đối tượng vẽ nên sao mà chọn được!
Bạn cần nói rõ hơn về yêu cầu của mình!

Có lẽ câu hỏi của xuantran15 la : Cách chọn các đường kích thước có cùng DimStyle trên bản vẽ ?
  • 0

#5 xuantran15

xuantran15

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 295 Bài viết
Điểm đánh giá: 112 (tàm tạm)

Đã gửi 18 August 2008 - 10:22 AM

Nhiều khi trong một bản vẽ các đường đo kích thước không cùng layer, màu... với nhau. Để dễ quản lí mình muốn đưa nó về 1 layer chẳng hạn. Nhưng việc select tất cả các đối tượng dim theo cách quét chọn thì lâu quá, mình muốn hỏi cách select nhanh các đối tượng dim để chuyển chúng về 1 layer. heeeee mụch đích là như vầy thôi mà. :s_big:
  • 0
Hình đã gửi
Thu đi cho lá vàng bay
Lá rơi cho đám cưới về......

#6 ghost8.3

ghost8.3

    biết dimdiameter

  • Members
  • PipPipPipPipPip
  • 335 Bài viết
Điểm đánh giá: 162 (tàm tạm)

Đã gửi 18 August 2008 - 10:38 AM

Nhiều khi trong một bản vẽ các đường đo kích thước không cùng layer, màu... với nhau. Để dễ quản lí mình muốn đưa nó về 1 layer chẳng hạn. Nhưng việc select tất cả các đối tượng dim theo cách quét chọn thì lâu quá, mình muốn hỏi cách select nhanh các đối tượng dim để chuyển chúng về 1 layer. heeeee mụch đích là như vầy thôi mà. :s_big:

Hy vọng cái này đúng ý bạn
; Dimensions fomat, dua cac duong kich thuoc ve 1 lop ban ve
(defun C:SD (/ dimset newLay)
(setvar "cmdecho" 0) ; khong the hien nhung ket qua trung gian
(setq NewLay (getstring
"\nXac dinh ten Layer moi Can cho Duong kich thuoc <Dim>:"
)
NewLay (if (= newLay "")
"dim"
newLay
)
) ; Tao Layer moi
(command "-layer" "N" NewLay "")
; thay doi Layer
(setq Dimset (ssget "X" '((0 . "dimension"))))
(command ".chprop" Dimset "" "La" Newlay "")
(setvar "cmdecho" 0)
(princ)
)
  • 1

Hình đã gửi


#7 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 18 August 2008 - 10:38 AM

Nhiều khi trong một bản vẽ các đường đo kích thước không cùng layer, màu... với nhau. Để dễ quản lí mình muốn đưa nó về 1 layer chẳng hạn. Nhưng việc select tất cả các đối tượng dim theo cách quét chọn thì lâu quá, mình muốn hỏi cách select nhanh các đối tượng dim để chuyển chúng về 1 layer. heeeee mụch đích là như vầy thôi mà. :s_big:

Thế cái lisp của mình bên trên thì sao? không dùng được à?
  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#8 hungbv

hungbv

    biết vẽ circle

  • Members
  • PipPip
  • 33 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 18 August 2008 - 10:45 AM

Nhiều khi trong một bản vẽ các đường đo kích thước không cùng layer, màu... với nhau. Để dễ quản lí mình muốn đưa nó về 1 layer chẳng hạn. Nhưng việc select tất cả các đối tượng dim theo cách quét chọn thì lâu quá, mình muốn hỏi cách select nhanh các đối tượng dim để chuyển chúng về 1 layer. heeeee mụch đích là như vầy thôi mà. :s_big:

Bạn hãy sử dụng lệnh Filter.
  • 0

#9 uct_0978333594

uct_0978333594

    biết vẽ polygon

  • Members
  • PipPip
  • 77 Bài viết
Điểm đánh giá: 42 (tàm tạm)

Đã gửi 18 August 2008 - 10:45 AM

Nhiều khi trong một bản vẽ các đường đo kích thước không cùng layer, màu... với nhau. Để dễ quản lí mình muốn đưa nó về 1 layer chẳng hạn. Nhưng việc select tất cả các đối tượng dim theo cách quét chọn thì lâu quá, mình muốn hỏi cách select nhanh các đối tượng dim để chuyển chúng về 1 layer. heeeee mụch đích là như vầy thôi mà. :s_big:

À tức là Bác muốn chọn đối tượng là tất cả các Dim để thay đổi về cùng 1 loại chứ gì, Vậy Bác có thể dùng lệnh "Filter" rồi bấm vào Add selected object và chọn một đường Dim bất kỳ, sau đó xoá hết các đặc tính của đường Dim kia đi để lại duy nhất dòng Object = Dimension lại tiếp tục Apply và chọn toàn bộ các đối tượng bản vẽ thì tự nhiên tất cả các Dim sẽ được chọn ngay. Bác thử làm xem.

Hoặc cách thứ 2 là Bác chọn tất cả các đối tượng bản vẽ sau đó nhấn Qick Select và xuất hiện hộp thoại Qick Select trong phần Object type bác chọn Rotated Dimension rồi ok cũng được .
  • 0
Hình đã gửi

#10 congchi

congchi

    biết vẽ pline

  • Members
  • PipPip
  • 63 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 18 August 2008 - 10:49 AM

Dùng lệnh filter (fi)
Hình đã gửi
  • 0

#11 hungbv

hungbv

    biết vẽ circle

  • Members
  • PipPip
  • 33 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 18 August 2008 - 10:55 AM

À tức là Bác muốn chọn đối tượng là tất cả các Dim để thay đổi về cùng 1 loại chứ gì, Vậy Bác có thể dùng lệnh "Filter" rồi bấm vào Add selected object và chọn một đường Dim bất kỳ, sau đó xoá hết các đặc tính của đường Dim kia đi để lại duy nhất dòng Object = Dimension lại tiếp tục Apply và chọn toàn bộ các đối tượng bản vẽ thì tự nhiên tất cả các Dim sẽ được chọn ngay. Bác thử làm xem.

Hoặc cách thứ 2 là Bác chọn tất cả các đối tượng bản vẽ sau đó nhấn Qick Select và xuất hiện hộp thoại Qick Select trong phần Object type bác chọn Rotated Dimension rồi ok cũng được .

Lệnh Filter:
Trong phần Select Filter -> chọn Dimension -> Apply -> chon đối tượng
  • 0

#12 xuantran15

xuantran15

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 295 Bài viết
Điểm đánh giá: 112 (tàm tạm)

Đã gửi 18 August 2008 - 02:47 PM

Không ngờ có nhiều người quan tâm thế. cám ơn mọi người nhiều. Cái của bác duy782006 ko đúng ý mình rồi, cái của bác chỉ có đếm được có bao nhiêu dim trong vùng chọn mà ko seclect để chỉnh sửa nó được, dù sao cũng cãm ơn bác nhiều, hy vọng lần sau sẽ được bác chỉ giáo. :s_big:
  • 0
Hình đã gửi
Thu đi cho lá vàng bay
Lá rơi cho đám cưới về......

#13 ghost8.3

ghost8.3

    biết dimdiameter

  • Members
  • PipPipPipPipPip
  • 335 Bài viết
Điểm đánh giá: 162 (tàm tạm)

Đã gửi 18 August 2008 - 03:01 PM

Không ngờ có nhiều người quan tâm thế. cám ơn mọi người nhiều. Cái của bác duy782006 ko đúng ý mình rồi, cái của bác chỉ có đếm được có bao nhiêu dim trong vùng chọn mà ko seclect để chỉnh sửa nó được, dù sao cũng cãm ơn bác nhiều, hy vọng lần sau sẽ được bác chỉ giáo. :s_big:

Bạn yên tâm đi, thành viên Cadviet ai cũng nhiệt tình hết. Đặc biệt là cac Mod nhà mình
  • 0

Hình đã gửi


#14 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 18 August 2008 - 03:39 PM

Không ngờ có nhiều người quan tâm thế. cám ơn mọi người nhiều. Cái của bác duy782006 ko đúng ý mình rồi, cái của bác chỉ có đếm được có bao nhiêu dim trong vùng chọn mà ko seclect để chỉnh sửa nó được, dù sao cũng cãm ơn bác nhiều, hy vọng lần sau sẽ được bác chỉ giáo. :s_big:

Tại yêu cầu của bạn là chọn mà. Khi đã đếm được thì khi dùng các lệnh khác tại phần chọn đối tượng chỉ cần gỏ p là được mà. Cái lisp tự động chuyễn các dim về 1 layẻ mình cũng có nhưng thấy của bạn ghót8.3 đưa lên rồi nên thôi.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#15 phamtuan

phamtuan

    biết lệnh scale

  • Members
  • PipPipPip
  • 145 Bài viết
Điểm đánh giá: 222 (khá)

Đã gửi 18 August 2008 - 03:49 PM

Quá đơn giản đúng không? có hai cách:
1 Dùng lệnh: Filter (fi)
2 Dùng Quick select ( alt+T+K)
vào đó là oke luôn
  • 0

#16 phamtuan

phamtuan

    biết lệnh scale

  • Members
  • PipPipPip
  • 145 Bài viết
Điểm đánh giá: 222 (khá)

Đã gửi 18 August 2008 - 03:52 PM

(Defun c:chondim ( )
(Princ "\nHay chon vung :")
(setq SS (ssget '((0 . "dimension"))))
(if (Null ss)
(princ "\nKhong tim thay doi tuong nao")
)
(IF (/= NIL SS) (PROGN
(setq Sl (SSLength SS))
(princ (strcat "\nTim thay: <" (itoa sl) "> doi tuong la DIMENSION"))
)
)
(princ)
)

Có cần thiết phải mang list ra đây không nhỉ? theo minh thì chỉ càn filter hoạc quick select là oke
  • 0

#17 ghost8.3

ghost8.3

    biết dimdiameter

  • Members
  • PipPipPipPipPip
  • 335 Bài viết
Điểm đánh giá: 162 (tàm tạm)

Đã gửi 18 August 2008 - 03:56 PM

Có cần thiết phải mang list ra đây không nhỉ? theo minh thì chỉ càn filter hoạc quick select là oke

Thế thì theo bạn, người ta sử dụng Autolisp để làm gì?
  • 0

Hình đã gửi


#18 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 18 August 2008 - 04:14 PM

Có cần thiết phải mang list ra đây không nhỉ? theo minh thì chỉ càn filter hoạc quick select là oke

Ờ ờ nhỉ ! Nhưng mình không biết dùng 2 cái kia :s_big:
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#19 duongsatdn

duongsatdn

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1657 Bài viết
Điểm đánh giá: 761 (tốt)

Đã gửi 18 August 2008 - 04:26 PM

Ờ ờ nhỉ ! Nhưng mình không biết dùng 2 cái kia :s_big:

Thế mới tài...
  • 0

#20 PhucQuan

PhucQuan

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 19 August 2008 - 12:07 PM

Có cần thiết phải mang list ra đây không nhỉ? theo minh thì chỉ càn filter hoạc quick select là oke


Nếu cái lisp ấy chạy đúng thao tác, kết quả như một cách nào đó có sẳn trong autocad thi lisp đó vứt đi, nhưng chỉ cần khác đi một chút thao tác, giao diện hoặc kết quả thì lisp đó đã có tác dụng rồi.
Bạn hỏi thế chẳng khác nào bạn hỏi "có cần chạy xe máy không? trong khi xe đạp vẫn đi được mà!"

Đừng giận nhá! he..he...
  • 0